Subject: Re: [bug#54221] [PATCH 3/4] gnu: vim: Update package style.

From: Maxime Devos <[email-masked]>
Date: Wed, 02 Mar 2022 19:25:16 +0100

SeerLite via Guix-patches via schreef op wo 02-03-2022 om 10:17 [-
0300]:
> +          (add-before 'check 'set-environment-variables
> +            (lambda* (#:key inputs #:allow-other-keys)
> +              ;; One of the tests tests timezone-dependent functions.
> +              (setenv "TZDIR"
> +                      (search-input-directory inputs "share/zoneinfo"))
>  
> -             ;; Make sure the TERM environment variable is set for the tests
> -             (setenv "TERM" "xterm")))

The tzdata in in 'native-inputs', not 'inputs', so this code needs to
look in '(or native-inputs inputs)', not 'inputs', otherwise this code
will fail with a '&search-path' exception from 'search-input-directory'
when cross-compiling (untested).

Greetings,
Maxime.